# network_base.h File Reference

Base core network types and some helper functions to access them. More...

`#include "network_type.h"`
`#include "core/address.h"`
`#include "../core/pool_type.hpp"`
`#include "../company_type.h"`

Go to the source code of this file.

## Data Structures
struct | NetworkClientInfo
## Defines
#define | FOR_ALL_CLIENT_INFOS_FROM(var, start) FOR_ALL_ITEMS_FROM(NetworkClientInfo, clientinfo_index, var, start)
#define | FOR_ALL_CLIENT_INFOS(var) FOR_ALL_CLIENT_INFOS_FROM(var, 0)
## Typedefs
typedef Pool < NetworkClientInfo, ClientIndex, 8, MAX_CLIENT_SLOTS > | NetworkClientInfoPool
## Variables
NetworkClientInfoPool | _networkclientinfo_pool

## Detailed Description

Base core network types and some helper functions to access them.

Definition in file network_base.h.